Đến nội dung


Hình ảnh

Array Block theo path


  • Please log in to reply
9 replies to this topic

#1 congchi

congchi

    biết vẽ pline

  • Members
  • PipPip
  • 63 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 13 August 2008 - 04:46 PM

Để array một block theo một đường cho trước, ta dùng lệnh divide hoặc lệnh measure.
Sau khi chọn path, ta chọn tham số block để chọn block mình muốn array, các bước tiếp theo xem dấu nhắc làm típ.
  • 0

#2 tranlongha182005

tranlongha182005

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 03 November 2008 - 08:49 AM

Mình cũng đang thác mắc trong vấn đề này. bạn giải đáp giùm nha
mình dùng lệnh mesure để rải các block theo một đường pline (được nối từ nhiều đường pline khác). Yêu cầu là các block này tạo thành một đường nằm trên đường pline nói trên. Nhưng khi mình rải thì các block lại nằm ờ rất xa so với đường pline, mình phải move về, rất mất thời gian. mong các bạn giúp đỡ
  • 0

#3 Flex

Flex

    biết lệnh erase

  • Members
  • PipPipPip
  • 104 Bài viết
Điểm đánh giá: 22 (tàm tạm)

Đã gửi 03 November 2008 - 10:18 AM

Mình cũng đang thác mắc trong vấn đề này. bạn giải đáp giùm nha
mình dùng lệnh mesure để rải các block theo một đường pline (được nối từ nhiều đường pline khác). Yêu cầu là các block này tạo thành một đường nằm trên đường pline nói trên. Nhưng khi mình rải thì các block lại nằm ờ rất xa so với đường pline, mình phải move về, rất mất thời gian. mong các bạn giúp đỡ


Chú ý tới điểm chèn của block xem sao.
  • 0
Phần mềm và Tiện ích trên AutoCAD
->SHD- Phần mềm TK nhà xưởng thép tiền chế
->Nhận hợp tác thiết kế nhà thép tiền chế
website: www.cad-app.com
email: flexnet@cad-app.com
ym: flex_tools

#4 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 03 November 2008 - 10:20 AM

Mình cũng đang thác mắc trong vấn đề này. bạn giải đáp giùm nha
mình dùng lệnh mesure để rải các block theo một đường pline (được nối từ nhiều đường pline khác). Yêu cầu là các block này tạo thành một đường nằm trên đường pline nói trên. Nhưng khi mình rải thì các block lại nằm ờ rất xa so với đường pline, mình phải move về, rất mất thời gian. mong các bạn giúp đỡ

Xem đây!
http://www.cadviet.c...p?showtopic=630
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#5 ph168xd

ph168xd

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 779 Bài viết
Điểm đánh giá: 309 (khá)

Đã gửi 03 November 2008 - 11:41 AM

Mesure sẽ nhận tâm cảu block làm đường dẫn.
Chính vì vậy, nếu tâm cảu block ko nằm giưa block thì mesure
sẽ không định đc vị trí chính xác các block.
Chính vì vậy, bạn nên đặt tâm của block vào vị trí chính giữa
của block., có như thế mới mesure chuẩn đc
  • 0

#6 huy46kd1

huy46kd1

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 November 2008 - 11:38 AM

Mình có thử viết 1 lisp nhỏ để sử dụng lệnh measure để chèn block theo khoảng cách cho trước ae thử dùng xem nhé (mình dùng nhiều trong vẽ QH như trồng cây theo hàng, vẽ taluy...)

(defun c:chen () (command "measure" pause "b" "cay" "y" "8"))

ghi chú : - cay : tên block (ở đây mình đặt là CÂY)
- 8 : khoảng cách block.
- tâm chèn khi tạo block chọn tại tâm vật thể.
  • 0

#7 retun

retun

    biết lệnh array

  • Members
  • PipPipPip
  • 186 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 18 July 2009 - 11:26 PM

muốn array block theo path dùng lệnh Minsert
  • 1

#8 bluebox

bluebox

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 22 July 2009 - 01:20 PM

muốn array block theo path dùng lệnh Minsert

Bạn dùng version nào? Mình dùng 2007 ko có tính năng chọn path.
  • 0

#9 potter

potter

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 01 August 2009 - 09:25 PM

Mình cũng hay gặp lỗi này trên CAD khi copym những donut để vẽ thép, kinh nghiệm là nên chọn basepoint vào tâm của donut, với block cũng vậy, bạn chọn vào điểm chèn của nó.
  • 0
Civil Engineering
Phone: 0125.228.7877

#10 Thangcowasu

Thangcowasu

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 07 August 2009 - 08:48 AM

Phím tắt của measure là ME, bạn nên tạo lại Bloc và chọn điểm chèn bloc ở tâm nó như vậy khi chèn sẽ chính xác, khoảng cách giữa các bloc có thể chọn trực tiếp trên nền bản vẽ, mình dùng 2008
  • 0